import { CommonModule } from '@angular/common';
import { Component } from '@angular/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { TranslateModule } from '@ngx-translate/core';
import { pageSizeOptions } from '../../utils/app.constants';

@Component({
  selector: 'app-setup-user',
  standalone: true,
  imports: [TranslateModule, ReactiveFormsModule, FormsModule, CommonModule, NgSelectModule],
  templateUrl: './setup-user.component.html',
  styleUrl: './setup-user.component.scss'
})
export class SetupUserComponent {
  allItems: any[] = [];
  currentPage: number = 1;
  pageSizeOptions = pageSizeOptions
  itemsPerPage: number = 5;
  searchText: any;
  renewalDataExpanded: boolean = true;
  
  nextPage() {
    throw new Error('Method not implemented.');
  }

  previousPage() {
    throw new Error('Method not implemented.');
  }

  totalPages() {
    return 1;
  }
  
  toggleCard(arg0: string) {
    throw new Error('Method not implemented.');
  }
  
  onSubmit() {
    throw new Error('Method not implemented.');
  }
  

}
